#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Cryptoshop Strong file encryption.
# Encrypt and decrypt file in GCM mode with AES, Serpent or Twofish as secure as possible.
# Copyright(C) 2016 CORRAIRE Fabrice. antidote1911@gmail.com

# ############################################################################
# This file is part of Cryptoshop-GUI (full Qt5 gui for Cryptoshop).
#
#    Cryptoshop is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Cryptoshop is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Cryptoshop.  If not, see <http://www.gnu.org/licenses/>.
# ############################################################################


# ------------------------------------------------------------------------------
# Application General
# ------------------------------------------------------------------------------
__app_name__ = 'cryptoshop'
__author__ = 'Fabrice Corraire'
__email__ = "antidote1911@gmail.com"
__website__ = "https://github.com/Antidote1911/cryptoshop"

# ------------------------------------------------------------------------------
# Version
# ------------------------------------------------------------------------------
__version__ = '2.0.0'
__major_version__ = "2"
__minor_version__ = "0"
__patch_version__ = "0"


# ------------------------------------------------------------------------------
# Global Parameters. Adjust if you want.
# ------------------------------------------------------------------------------
__chunk_size__ = 5000000  # in bytes. (0.5 Mo)

__salt_size__ = 512  # in bits.(64 bytes)

__argon2_timing_cost__ = 3000
__argon2_memory_cost__ = 1024
__argon2_parallelism__ = 2


# ------------------------------------------------------------------------------
# Global Constants. DO NOT CHANGE.
# ------------------------------------------------------------------------------
__gcmtag_length__ = 16  # in bytes (128 bits). The tag generated by GCM is fixed to 16 bytes. Do not try to change.
__nonce_length__ = 21  # in bytes (168 bits).